const { Tokenizer, DocumentParser, Parser } = require('@jerp/xml-stream-js')
const docParser = new DocumentParser(new Tokenizer())
// parsing the whole document (this might not the best usecase for this library)
docParser.onRoot(Parser.XmlElementParser()) // parser preserving child node order
docParser.write('<a id="a0"><aa/>some text a0<ab><abChild/></ab>more text</a>')
const a = docParser.next() // XmlElement
console.log({
  tagName: a.tagName,
  id: a.getAttribute('id'),
})
a.children.length
